/*  Copyright (C) 2017 Nicholas C. Strauss (strauss@positive-internet.com)
    This file is part of ORBTIMES.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __MAINH__
#define __MAINH__

double get_now_jdays();
void get_now_sunrise_sunset(double dj, 
			      double tzi, 
			      double ds,
			      double gp, 
			      double gl, 
			      double msl_km);
void get_now_twilight_rise_set(double dj, 
			      double tzi, 
			      double ds,
			      double gp, 
			      double gl, 
			      double msl_km);
void get_now_moonrise_moonset(double dj, 
			      double tzi, 
			      double ds,
			      double gp, 
			      double gl, 
			      double msl_km);
void get_now_planetrise_planetset(double dj, 
				  double tzi, 
				  double ds,
				  double gp, 
				  double gl, 
				  double msl_km,
				  char *planet_name,
				  short planet_index);
void get_moon_days();
bool do_query();

#endif
